TerminalsBeta
A Terminal represents a physical device that can process payments. This API allows you to manage terminals, including creating, retrieving, updating, activating, deactivating, terminating, and processing payment intents in terminals.
A Terminal can be in one of the following states: 1. ACTIVE: The Terminal is activated and ready to use. 2. INACTIVE: The Terminal is deactivated for any reason. 3. TERMINATED: The Terminal is terminated and can't be used anymore.
POST /api/v1/pa/pos/terminals/createGET /api/v1/pa/pos/terminals/{id}GET /api/v1/pa/pos/terminalsPOST /api/v1/pa/pos/terminals/{id}/updatePOST /api/v1/pa/pos/terminals/{id}/activatePOST /api/v1/pa/pos/terminals/{id}/process_payment_intentPOST /api/v1/pa/pos/terminals/{id}/reset_passwordPOST /api/v1/pa/pos/terminals/{id}/deactivatePOST /api/v1/pa/pos/terminals/{id}/terminatePOST /api/v1/pa/pos/terminals/{id}/cancel_current_operation
Create a Terminal
POST /api/v1/pa/pos/terminals/create
Create a new Terminal. The activation_code must be provided in the request body. The nickname is optional and can be used to identify the terminal.
The activation code read from the terminal.
Unique request identifier specified by the merchant. Maximum length is 64.
Airwallex assigned account identifier of the connected entity(another account which is linked with platform). It is to be used by the platform to indicate the connected entity in the transaction where platform is the owner of transaction. Notice: This can not be used with x-on-behalf-of header together.
Nickname of the Terminal.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "activation_code": "MEFCMSBC",> "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",> "nickname": "cloth store",> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
Retrieve a Terminal
GET /api/v1/pa/pos/terminals/{id}
Retrieve a Terminal by unique identifier.
Terminal unique identifier.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/terminal_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
List all Terminals
GET /api/v1/pa/pos/terminals
List all Terminals.
Optional Airwallex-assigned connected account identifier to filter by. Only applicable to platforms.
Optional device model filter.
Optional nickname filter of the Terminal.
Page for pagination.
Number of Terminals to be listed per page. Default value is 10. Maximum is 1000. The value greater than the maximum will be capped to the maximum.
Optional serial number of the Terminal.
Optional operational status filter of the Terminal.
List items
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
A pointer to the end of the page list used in pagination to retrieve the next page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the next page of results. The value will be null for the last page.
A pointer to the start of the page list used in pagination to retrieve the previous page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the previous page of results. The value will be null for the first page.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "admin_password_status": "ACTIVE",5 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",6 "id": "ter_st8szlkh4z0nbfikx",7 "model": "morefun_m90",8 "nickname": "cloth store",9 "refund_password_status": "ACTIVE",10 "serial_number": "19250220790001",11 "status": "ACTIVE"12 }13 ],14 "page_after": "eyJrIjpbeyJuIjoiYXd4VGVybWluYWxJZCIsInYiOiJ0ZXJfc3Q4dnZmN2g0dGh0ZGVpcmQiLCJvIjoiYSIsInQiOiJqYXZhLmxhbmcuU3RyaW5nIn1dLCJkIjoiYWZ0ZXIiLCJmIjoibiIsInYiOjF9",15 "page_before": "eyJrIjpbeyJuIjoiYXd4VGVybWluYWxJZCIsInYiOiJ0ZXJfc3RoYjd0aGgycnEydHNvcnUiLCJvIjoiYSIsInQiOiJqYXZhLmxhbmcuU3RyaW5nIn1dLCJkIjoiYmVmb3JlIiwiZiI6Im4iLCJ2IjoxfQ=="16}
Update a Terminal
POST /api/v1/pa/pos/terminals/{id}/update
Update a Terminal.
Terminal unique identifier.
Unique request identifier specified by the merchant. Maximum length is 64.
Nickname of the Terminal.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/terminal_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "nickname": "cloth store",> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
Activate a Terminal
POST /api/v1/pa/pos/terminals/{id}/activate
Activate a Terminal.
Terminal unique identifier.
Unique request identifier specified by the merchant. Maximum length is 64.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/terminal_id/activate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
Process a Payment Intent in a Terminal
POST /api/v1/pa/pos/terminals/{id}/process_payment_intent
Process a Payment Intent In a Terminal.
Terminal unique identifier.
Unique identifier of Payment Intent.
Unique request identifier specified by the merchant. Maximum length is 64.
The Payment Method to use for the Payment Intent. If unfilled, the default payment method set on the terminal will be used.
Type of the Payment Method (e.g. card_present, pay_now, wechatpay).
Options for Payment Method.
The Payment Method options for card.
Specifies whether the funds should be requested automatically after the payment is authorized. Default to true. Set it to false if you want to capture the funds sometimes later.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/terminal_id/process_payment_intent' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "payment_intent_id": "int_hkstskz7vg1xc7uscdj",> "payment_method": {> "type": "card_present"> },> "payment_method_options": {> "card": {> "authorization_type": "final_auth",> "auto_capture": true> }> },> "request_id": "ee939540-3203-4a2c-9172-89a566485dd9">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
Reset a Terminal Password
POST /api/v1/pa/pos/terminals/{id}/reset_password
Reset a Terminal password.
Terminal unique identifier.
Unique request identifier specified by the merchant. Maximum length is 64.
Terminal password type
admin
- The terminal admin password. refund
- The terminal refund password.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/{id}/reset_password' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "password_type": "admin",> "request_id": "962dbd83-5e7b-4185-b668-596834395c12">}'
1{2 "admin_password_status": "RESET_REQUESTED",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}
Deactivate a Terminal
POST /api/v1/pa/pos/terminals/{id}/deactivate
Deactivate a Terminal.
Terminal unique identifier.
Unique request identifier specified by the merchant. Maximum length is 64.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/{id}/deactivate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "request_id": "962dbd83-5e7b-4185-b668-596834395c12">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "INACTIVE"10}
Terminate a Terminal
POST /api/v1/pa/pos/terminals/{id}/terminate
Terminate a Terminal.
Terminal unique identifier.
Unique request identifier specified by the merchant. Maximum length is 64.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/{id}/terminate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "request_id": "962dbd83-5e7b-4185-b668-596834395c12">}'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "TERMINATED"10}
Cancel Current Operation on a Terminal
POST /api/v1/pa/pos/terminals/{id}/cancel_current_operation
Cancel current operation on a Terminal if possible.
Terminal unique identifier.
The terminal admin password status
- ACTIVE: The terminal admin password is active.
- LOCKED: The terminal admin password is locked.
- RESET_REQUESTED: The terminal admin password requires reset.
Account identifier of the connected account.
Terminal unique identifier
Model of the Terminal, possible values are morefun_m90.
Nickname of the Terminal
The terminal refund password status
- ACTIVE: The terminal refund password is active.
- LOCKED: The terminal refund password is locked.
- RESET_REQUESTED: The terminal refund password requires reset.
- OPT_OUT: The terminal refund password is opted out.
Serial number of the Terminal
Operational status of the Terminal
- ACTIVE: The Terminal is activated and ready to use.
- INACTIVE: The Terminal is deactivated for any reason.
- TERMINATED: The Terminal is terminated and can't be used anymore.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/pa/pos/terminals/terminal_id/cancel_current_operation' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "admin_password_status": "ACTIVE",3 "connected_account_id": "acct_dk_FmEGnOSeoCCg3RpmJBA",4 "id": "ter_st8szlkh4z0nbfikx",5 "model": "morefun_m90",6 "nickname": "cloth store",7 "refund_password_status": "ACTIVE",8 "serial_number": "19250220790001",9 "status": "ACTIVE"10}